import Element from 'element-ui';

/**
 * 修改element组件属性默认值
 */
Element.Card.props.shadow = { type: String, default: 'never' };
// 全局配置dialog 不可点击阴影关闭
Element.Dialog.props.closeOnClickModal.default = false;
Element.Dialog.props.appendToBody.default = true;

// 全局配置eltableColumn
Element.Table.props.tooltipEffect = { type: String, default: 'light' };
// toolTip 默认白底黑字
Element.Tooltip.props.effect = { type: String, default: 'light' };

// 日期组件全局配置格式
Element.DatePicker.props.format = { type: String, default: 'yyyy-MM-dd' };
Element.DatePicker.props.valueFormat = { type: String, default: 'yyyy-MM-dd' };
Element.DatePicker.props.rangeSeparator = { type: String, default: '至' };
Element.DatePicker.props.startPlaceholder = { type: String, default: '开始日期' };
Element.DatePicker.props.endPlaceholder = { type: String, default: '结束日期' };
Element.DatePicker.props.placeholder = { type: String, default: '请选择日期' };

// 输入框
Element.Input.props.clearable = { type: Boolean, default: true };

// 下拉框
Element.Select.props.clearable = { type: Boolean, default: true };
